Get events by event handle

This API uses the given account address, eventHandle, and fieldName to build a key that can globally identify an event types. It then uses this key to return events emitted to the given account matching that event type.

Path Params
string
required

Hex-encoded 32 byte Aptos account, with or without a 0x prefix, for which events are queried. This refers to the account that events were emitted to, not the account hosting the move module that emits that event type.

string
required

Name of struct to lookup event handle e.g. 0x1::account::Account

string
required

Name of field to lookup event handle e.g. withdraw_events

Query Params
string

Starting sequence number of events.

If unspecified, by default will retrieve the most recent

uint16

Max number of events to retrieve.

If unspecified, defaults to default page size

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/x-bcs